import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEventsMessage,
  DescribeEventsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeEventsCommandInput extends DescribeEventsMessage {}
export interface DescribeEventsCommandOutput
  extends DescribeEventsResponse,
    __MetadataBearer {}
declare const DescribeEventsCommand_base: {
  new (
    input: DescribeEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventsCommandInput,
    DescribeEventsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEventsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventsCommandInput,
    DescribeEventsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEventsCommand extends DescribeEventsCommand_base {
  protected static __types: {
    api: {
      input: DescribeEventsMessage;
      output: DescribeEventsResponse;
    };
    sdk: {
      input: DescribeEventsCommandInput;
      output: DescribeEventsCommandOutput;
    };
  };
}
