import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationTableStatisticsMessage,
  DescribeReplicationTableStatisticsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationTableStatisticsCommandInput
  extends DescribeReplicationTableStatisticsMessage {}
export interface DescribeReplicationTableStatisticsCommandOutput
  extends DescribeReplicationTableStatisticsResponse,
    __MetadataBearer {}
declare const DescribeReplicationTableStatisticsCommand_base: {
  new (
    input: DescribeReplicationTableStatisticsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTableStatisticsCommandInput,
    DescribeReplicationTableStatisticsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeReplicationTableStatisticsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationTableStatisticsCommandInput,
    DescribeReplicationTableStatisticsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationTableStatisticsCommand extends DescribeReplicationTableStatisticsCommand_base {
  protected static __types: {
    api: {
      input: DescribeReplicationTableStatisticsMessage;
      output: DescribeReplicationTableStatisticsResponse;
    };
    sdk: {
      input: DescribeReplicationTableStatisticsCommandInput;
      output: DescribeReplicationTableStatisticsCommandOutput;
    };
  };
}
