import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyInstanceProfileMessage,
  ModifyInstanceProfileResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyInstanceProfileCommandInput
  extends ModifyInstanceProfileMessage {}
export interface ModifyInstanceProfileCommandOutput
  extends ModifyInstanceProfileResponse,
    __MetadataBearer {}
declare const ModifyInstanceProfileCommand_base: {
  new (
    input: ModifyInstanceProfileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyInstanceProfileCommandInput,
    ModifyInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyInstanceProfileCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyInstanceProfileCommandInput,
    ModifyInstanceProfileCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyInstanceProfileCommand extends ModifyInstanceProfileCommand_base {
  protected static __types: {
    api: {
      input: ModifyInstanceProfileMessage;
      output: ModifyInstanceProfileResponse;
    };
    sdk: {
      input: ModifyInstanceProfileCommandInput;
      output: ModifyInstanceProfileCommandOutput;
    };
  };
}
