import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMetadataModelImportsMessage,
  DescribeMetadataModelImportsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMetadataModelImportsCommandInput
  extends DescribeMetadataModelImportsMessage {}
export interface DescribeMetadataModelImportsCommandOutput
  extends DescribeMetadataModelImportsResponse,
    __MetadataBearer {}
declare const DescribeMetadataModelImportsCommand_base: {
  new (
    input: DescribeMetadataModelImportsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelImportsCommandInput,
    DescribeMetadataModelImportsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeMetadataModelImportsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelImportsCommandInput,
    DescribeMetadataModelImportsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMetadataModelImportsCommand extends DescribeMetadataModelImportsCommand_base {
  protected static __types: {
    api: {
      input: DescribeMetadataModelImportsMessage;
      output: DescribeMetadataModelImportsResponse;
    };
    sdk: {
      input: DescribeMetadataModelImportsCommandInput;
      output: DescribeMetadataModelImportsCommandOutput;
    };
  };
}
